# TripType

Represents a trip type.

| **EXTERNAL\_TRIP** | A trip that has been started by the enclosing app.                  |
| ------------------ | ------------------------------------------------------------------- |
| **SDK\_TRIP**      | A trip started internally by the SDK based on automatic detections. |
| **ANY**            | Any of external and SDK trips.                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/trip/triptype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
